nasm-mozilla (2.14.02-0ubuntu0.16.04.1) xenial; urgency=medium

  * Backport nasm 2.14 to xenial for building Firefox

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 21 Mar 2020 15:59:28 +0100

nasm (2.14.02-1) unstable; urgency=medium

  * New upstream release
  * d/control: Update standards version to 4.4.0
  * debian: Increase debhelper to 12

 -- Jordan Justen <jordan.l.justen@intel.com>  Fri, 19 Jul 2019 02:09:30 -0700

nasm (2.14-1) unstable; urgency=medium

  * d/patches: Rebase patches for 2.14
  * d/control: Upgrade standards-version to 4.2.1

 -- Jordan Justen <jordan.l.justen@intel.com>  Sat, 17 Nov 2018 22:22:52 -0800

nasm (2.13.03-2) unstable; urgency=medium

  * d/gbp.conf: Add git buildpackage config file
  * d/patches: Fix lintian spelling warning (attachement)
  * d/control: Update Standards-Version to 4.2.0
  * d/patches: Cherry-pick gcc-8 fixes from upstream. (Closes: #897817)

 -- Jordan Justen <jordan.l.justen@intel.com>  Wed, 08 Aug 2018 13:22:12 -0700

nasm (2.13.03-1) unstable; urgency=low

  * New upstream release
  * Remove trailing whitespace from changelog
  * Remove doc-base for lintian doc-base-file-references-missing-file.
    Closes: #890234.
  * d/control: Add Vcs-Git and Vcs-Browser
  * d/control: Update to compat/debhelper 11
  * d/control: Update to Standards-Version 4.1.4
  * d/watch: Use https for www.nasm.us (fixes debian-watch-uses-insecure-uri)

 -- Jordan Justen <jordan.l.justen@intel.com>  Fri, 25 May 2018 09:07:41 -0700

nasm (2.13.02-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
    - Addresses CVE-2017-14228. Closes: #874731.
    - Addresses CVE-2017-11111 CVE-2017-10686. Closes: #867988.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Dec 2017 08:31:54 +0100

nasm (2.13.01-2) unstable; urgency=medium

  [ Raymond Nicholson ]
  * sort 'keys' for reproducibility (doc/genps.pl), Closes: #820194

  [ Gianfranco Costamagna ]
  * Switch to new dh calls
  * Switch to compat level 10
  * Add font-config to build-dependencies, fixing an error during build.

 -- Jordan Justen <jordan.l.justen@intel.com>  Thu, 18 May 2017 23:02:49 -0700

nasm (2.13.01-1) experimental; urgency=low

  * New upstream version 2.13.01
  * Update debian patches for 2.13.01 release
  * Run wrap-and-sort
  * Add libfont-ttf-perl build dependency
  * Add libsort-versions-perl build dependency
  * Add fonts-liberation2 build dependency
  * Add patches to use liberation fonts
  * Change my email address
  * Don't install info docs since nasm no longer supports them

 -- Jordan Justen <jordan.l.justen@intel.com>  Mon, 08 May 2017 09:33:23 -0700

nasm (2.12.02-1) experimental; urgency=low

  * New upstream version 2.12.02

 -- Jordan Justen <jljusten@gmail.com>  Mon, 30 Jan 2017 01:15:41 -0800

nasm (2.12.01-1) unstable; urgency=low

  * New upstream version 2.12.01
  * Fix ancient-standards-version 3.9.5 (current is 3.9.7)

 -- Jordan Justen <jljusten@gmail.com>  Mon, 25 Apr 2016 11:25:17 -0700

nasm (2.11.08-1) unstable; urgency=medium

  * New upstream version 2.11.08
  * Update debian/copyright
  * Update homepage in debian/control
  * Make the build reproducible (timestamps)
    Add 04-reproducible-build.patch
    Patch by Valentin Lorentz
    Closes: #796335

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 11 Jan 2016 10:33:59 +0000

nasm (2.11.06-1really2.11.05-1) unstable; urgency=low

  * Upload 2.11.05-1 to unstable.
    2.11.06-1 in unstable makes syslinux FTBFS.
    Closes: #769160.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 12 Nov 2014 10:42:57 +0000

nasm (2.11.06-1) unstable; urgency=medium

  * Debian policy version is 3.9.6.
  * New upstream version 2.11.06.
  * Refresh patches.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 05 Nov 2014 23:51:52 +0000

nasm (2.11.05-1) unstable; urgency=medium

  * New upstream version 2.11.05.
  * Use default compression for binary packages.
  * Refresh patches.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 09 Sep 2014 05:22:04 +0100

nasm (2.11-1) unstable; urgency=medium

  * New upstream version 2.11

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 16 Feb 2014 12:50:55 +1100

nasm (2.10.09-1) unstable; urgency=low

  * New upstream version 2.10.09
  * Debian policy version is 3.9.5
  * Update debian/watch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 29 Dec 2013 13:46:31 +1100

nasm (2.10.07-1) unstable; urgency=low

  * New upstream version 2.10.07
  * Debian policy version is 3.9.4
  * debian/rules: pass CPPFLAGS through CFLAGS
    Patch by Simon Ruderich
    Closes: #681490

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 25 May 2013 12:37:46 +1000

nasm (2.10.01-1) unstable; urgency=low

  * New upstream version 2.10.01
  * Enable hardened build flags
  * DH compatibility level is 9

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 14 Jun 2012 11:13:09 +1000

nasm (2.10-1) unstable; urgency=low

  * New upstream version 2.10
  * Ship nasmdoc.pdf
    Closes: 439434
  * Fix out-of-date-standards-version
  * Fix spelling-error-in-doc-base-abstract-field

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 12 Apr 2012 08:00:57 +1000

nasm (2.09.10-1) unstable; urgency=low

  * New upstream version 2.09.10
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 29 Aug 2011 12:41:12 +1000

nasm (2.09.08-1) unstable; urgency=low

  * New upstream
  * Debian policy version is 3.9.2

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 13 Apr 2011 15:06:34 +1000

nasm (2.09.07-1) unstable; urgency=low

  * New upstream

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 23 Mar 2011 17:47:41 +1100

nasm (2.09.06-1) unstable; urgency=low

  * New upstream

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 09 Mar 2011 21:26:17 +1100

nasm (2.09.04-1) unstable; urgency=low

  * New upstream

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 26 Nov 2010 18:01:10 +1100

nasm (2.09.02-1) unstable; urgency=low

  * New upstream
  * Pass parameters -Zbzip2 and -z9 to dpkg-deb via dh_builddeb

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 15 Oct 2010 15:27:55 +1100

nasm (2.09.01-1) unstable; urgency=low

  * New upstream

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 10 Sep 2010 20:24:27 +1000

nasm (2.09-1) unstable; urgency=low

  * New upstream

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 04 Sep 2010 21:39:13 +1000

nasm (2.08.02-1) unstable; urgency=low

  * New upstream
    Closes: 589530
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 24 Aug 2010 17:42:49 +1000

nasm (2.08.01-1) unstable; urgency=low

  * New upstream
  * Source/format is 3.0 (quilt)
  * Update debian/watch
  * Fix out-of-date-standards-version
  * Fix missing-dependency-on-install-info
  * Fix install-info-used-in-maintainer-script

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 02 Jun 2010 21:39:58 +1000

nasm (2.07-1) unstable; urgency=low

  * New upstream

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 29 Jul 2009 17:34:26 +1000

nasm (2.06-1) unstable; urgency=low

  * New upstream
  * Fix out-of-date-standards-version
  * Fix copyright-refers-to-symlink-license
  * DH compatibility level is 7

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 12 Jul 2009 22:10:05 +1000

nasm (2.05.01-1) unstable; urgency=low

  * New upstream
  * Refresh 01-doc-Makefile.in.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 01 Nov 2008 16:55:12 +1100

nasm (2.03.01-1) unstable; urgency=low

  * New upstream
    doc/nasmdoc.rtf is not shipped
  * Standards version is 3.8.0
  * Fix CVE-2008-2719
    Off-by-one error in the ppscan function (preproc.c)
    closes: #486715
  * Doc-base section is Programming

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 17 Jun 2008 22:47:55 +1000

nasm (2.02-1) unstable; urgency=low

  * New upstream
  * Added debian/watch file
  * Updated debian/copyright

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 29 Feb 2008 20:01:54 +1100

nasm (2.01-1) unstable; urgency=low

  * New upstream. Closes: #461201
  * debian/control
    - Bumped Standards-Version to 3.7.3
    - Added homepage header
  * Removed debian/patches/04-FreeBSD-ELF-header.patch
    - Bug#450935 was resolved upstream. See
      http://sourceware.org/bugzilla/show_bug.cgi?id=4424

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 22 Jan 2008 20:24:58 +1100

nasm (0.99.06-2) unstable; urgency=low

  * Fixed FreeBSD ELF header, closes: #450935
    Patch by Petr Salinger <Petr.Salinger@seznam.cz>

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 13 Nov 2007 18:20:50 +1100

nasm (0.99.06-1) unstable; urgency=low

  * New upstream release.
  * Build-depends on quilt.
  * Updated debian/copyright.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 03 Nov 2007 21:37:15 +1100

nasm (0.99.05-1) unstable; urgency=low

  * New upstream release.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 22 Oct 2007 23:15:29 +1000

nasm (0.99.04-1) unstable; urgency=low

  * New upstream release.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 11 Oct 2007 08:42:16 +1000

nasm (0.99.02-1) unstable; urgency=low

  * New upstream release.
    Fixed "nasm build errors: invalid operands in non-64-bit mode",
    Closes: #441383

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 10 Sep 2007 09:28:58 +1000

nasm (0.99.01-1) unstable; urgency=low

  * debian/control Build-Depends: removed gs-common.
    Please see #428876 and #435229.
  * Fixed the following lintian messages:
    - W: nasm: extra-license-file usr/share/doc/nasm/COPYING.gz

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 21 Aug 2007 22:40:37 +1000

nasm (0.99.01-0) unstable; urgency=low

  * New upstream release. Closes: #319344.
  * New maintainer. Closes: #438649.
  * Ack NMUs. Closes: #285889, #309049.
  * Fixed "FTBFS if built twice in a row". Closes: #424593.
    Patch by Joachim Reichel <joachim.reichel@gmx.de>.
  * debian/control: added Homepage.
  * Fixed the following lintian messages:
    - W: nasm source: debian-rules-sets-DH_COMPAT line 3
    - W: nasm source: package-uses-deprecated-debhelper-compat-version 3
    - W: nasm source: ancient-standards-version 3.5.6 (current is 3.7.2)

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 19 Aug 2007 10:10:42 +1000

nasm (0.98.38-1.2) unstable; urgency=HIGH

  * NMU
  * Patch from Moritz Muehlenhoff to avoid a buffer overflow in the outieee
    code. Closes: #309049 (CAN-2005-1194)

 -- Joey Hess <joeyh@debian.org>  Tue, 17 May 2005 21:56:06 -0400

nasm (0.98.38-1.1) unstable; urgency=HIGH

  * NMU
  * Fix buffer overflow in error message handling. (CAN-2004-1287)
    Closes: #285889

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Dec 2004 14:45:47 -0500

nasm (0.98.38-1) unstable; urgency=low

  * New upstream release

 -- Christian Kesselheim <ckesselh@infeurope.lu>  Mon,  5 Apr 2004 23:20:39 +0200

nasm (0.98.34-1) unstable; urgency=low

  * New upstream release

 -- Christian Kesselheim <ckesselh@debian.org>  Fri, 12 Jul 2002 15:18:52 +0200

nasm (0.98.33-2) unstable; urgency=low

  * Build dependencies fixed; gs-common added (closes: #149276)

 -- Christian Kesselheim <ckesselh@debian.org>  Sun,  9 Jun 2002 18:56:21 +0200

nasm (0.98.33-1) unstable; urgency=low

  * New upstream release

 -- Christian Kesselheim <ckesselh@debian.org>  Thu,  6 Jun 2002 13:25:11 +0200

nasm (0.98.30-1) unstable; urgency=low

  * New upstream release (closes: #144394)

 -- Christian Kesselheim <ckesselh@debian.org>  Thu,  9 May 2002 00:18:02 +0200

nasm (0.98.28cvs-1) unstable; urgency=high

  * The "I took the wrong CVS tag last time" release; my assumption, that
    0.98bf would represent the stable branch was a misunderstanding. It's
    just a (quite old) stable release (without P4 support), instead
    (closes: #143814, #136525)
  * Should build on hppa, again (closes: #143373)
  * License changed from GPL to LGPL

 -- Christian Kesselheim <ckesselh@debian.org>  Mon, 22 Apr 2002 11:19:59 +0200

nasm (0.98.28bf-1) unstable; urgency=high

  * New maintainer
  * New upstream release; switched back to the bugfixed ("bf") branch
    (closes: #136263)
  * ndisasm segfaults no longer on "damn near any file" (closes: #128498)
  * Broken macros fixed (closes: #132755)
  * The "org" directive is no longer case sensitive :-) (closes: #122295)
  * Nasm should not generate wrong addresses in some .text situations
    any more (closes: #136525)

 -- Christian Kesselheim <ckesselh@debian.org>  Wed, 17 Apr 2002 12:28:43 +0200

nasm (0.98.08-2) unstable; urgency=low

  * Set maintainer to QA.

 -- Ivo Timmermans <ivo@debian.org>  Thu, 11 Apr 2002 20:32:48 +0200

nasm (0.98.08-1) unstable; urgency=low

  * New upstream release.

 -- Ivo Timmermans <ivo@debian.org>  Tue, 20 Nov 2001 15:12:43 +0100

nasm (0.98-5) unstable; urgency=low

  * New maintainer. (Closes: #116548)

 -- Ivo Timmermans <ivo@debian.org>  Mon, 22 Oct 2001 16:21:29 +0200

nasm (0.98-4) unstable; urgency=low

  * nasm.c: `-I' is same as `-i'.  (Thanks to Tom Joseph for the patch.)
  * Orphaning.
  * Moved to debhelper 3.
  * Conforms to Standards version 3.5.4:
    * Added build dependencies.
    * debian/rules: Support the `debug' build option.

 -- Matej Vela <vela@debian.org>  Thu, 31 May 2001 10:53:25 +0200

nasm (0.98-3) unstable; urgency=low

  * Made fully FHS compliant.  Closes: Bug#45757.
  * debian/rules: Removed `cd rdoff && $(MAKE)' since it was
    redundant.

 -- Matej Vela <vela@debian.org>  Thu, 23 Sep 1999 07:20:09 +0200

nasm (0.98-2) unstable; urgency=low

  * New maintainer.
  * Wrote missing manual pages.
  * Removed `-ansi -pedantic' from GCCFLAGS as recommended in Policy
    section 4.1.  Added an #ifndef around the strdup prototype in
    rdoff/rdoff.h to prevent compilation from breaking since glibc
    defines strdup as a macro.
  * Updated debian/copyright with respect to license changes from
    0.98p6 and 0.98.
  * Added doc-base support.
  * Installing MODIFIED to /usr/doc/nasm since it is referenced by
    Changes.  Not installing Readme because it's about lcc.
  * Conforms to Standards version 3.0.1.
  * Converted to debhelper.

 -- Matej Vela <vela@debian.org>  Mon,  6 Sep 1999 02:09:46 +0200

nasm (0.98-1) unstable; urgency=low

  * Upstream upgrade.
  * Now use my @debian.org address.

 -- Vincent Renardias <vincent@debian.org>  Fri,  4 Jun 1999 13:33:41 +0200

nasm (0.97-1.2) frozen unstable; urgency=low

  * Non-maintainer upload
  * Fixed copyright file: the Licence changed in 0.97 but we didn't
    notice it

 -- Juan Cespedes <cespedes@debian.org>  Mon, 14 Dec 1998 12:56:26 +0100

nasm (0.97-1.1) frozen unstable; urgency=medium

  * Non-maintainer upload
  * Updated copyright file to show that this package belongs to `main'
    (fixes important Bug#21945)

 -- Juan Cespedes <cespedes@debian.org>  Wed,  9 Dec 1998 16:38:22 +0100

nasm (0.97-1) unstable; urgency=low

  * Upstream upgrade.
  * Some improvments contributed by JHM Dassen.
  * Stays in 'main', since the author allowed to distribute this (0.97)
    version under either GPL or the nasm licence. Future version will
    have the same licensing conditions (closes Bugs #14859,18290,18302).
  * Fix documentation pbm (Bug #15052).

 -- Vincent Renardias <vincent@waw.com>  Tue, 17 Feb 1998 21:06:35 +0100

nasm (0.95-2) unstable; urgency=low

  * Upstream upgrade.

 -- Vincent Renardias <vincent@waw.com>  Tue, 11 Nov 1997 01:49:41 +0100

nasm (0.95-2) unstable; urgency=low

  * Added nasm's homepage URL in copyright file (Bug #14526).

 -- Vincent Renardias <vincent@waw.com>  Sun, 9 Nov 1997 21:45:17 +0100

nasm (0.95-1) unstable; urgency=low

  * Upstream upgrade.

 -- Vincent Renardias <vincent@waw.com>  Fri, 1 Aug 1997 20:17:19 +0200

nasm (0.94-3) unstable; urgency=low

  * Cosmetix change (fix bug #9622).

 -- Vincent Renardias <vincent@waw.com>  Fri, 9 May 1997 15:24:48 +0200

nasm (0.94-2) unstable; urgency=low

  * Rebuilt with libc6.

 -- Vincent Renardias <vincent@waw.com>  Thu, 1 May 1997 21:52:35 +0200

nasm (0.94-1) unstable; urgency=low

  * Upstream upgrade.

 -- Vincent Renardias <vincent@waw.com>  Mon, 14 Apr 1997 20:01:30 +0200

nasm (0.93-1) unstable; urgency=low

  * Upstream upgrade.
  * Included upstream 'Changes' file.

 -- Vincent Renardias <vincent@waw.com>  Sat, 1 Feb 1997 20:06:57 +0100

nasm (0.90-2) unstable; urgency=low

  * Moved from 'non-free' to devel.

 -- Vincent Renardias <vincent@waw.com>  Thu, 31 Oct 1996 20:30:28 +0100

nasm (0.90-1) unstable; urgency=low

  * Initial Release.

 -- Vincent Renardias <vincent@waw.com>  Thu, 31 Oct 1996 02:20:23 +0100
